#
# spec file for package xfsprogs (Version 1.2.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake e2fsprogs-devel libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xfsprogs
Group:        System Environment/Base
Provides:     xfsprogs
Autoreqprov:  on
Summary:      Utilities for managing the XFS filesystem
Version:      1.2.8
Release:      60
Source0:      %{name}-%{version}.tar.bz2
Source1:      attr-1.0.3.tar.bz2
Source2:      acl-1.0.7.tar.bz2
Patch0:       %{name}-%{version}-dirs.patch
Patch1:       %{name}-%{version}-destdir.patch
Url:          http://oss.sgi.com/projects/xfs/
BuildRoot:    %{_tmppath}/%{name}-root
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.
# ---------------------------------------------------------------------------
%package      devel
Summary:      XFS filesystem-specific static libraries and headers
Autoreqprov:  on
Group:        Development/Libraries
Url:          http://oss.sgi.com/projects/xfs/
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.
Prefix:       %{_prefix}
# ---------------------------------------------------------------------------
%package -n   acl
Summary:      A command (chacl) to manipulate POSIX access control lists
Autoreqprov:  on
Group:        System Environment/Base
Version:      1.0.7
Release:      60
Url:          http://oss.sgi.com/projects/xfs/
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.
# ---------------------------------------------------------------------------
%package -n   acl-devel
Summary:      acl-devel contains the libraries and header files needed to
Autoreqprov:  on
Group:        Development/Libraries
Version:      1.0.7
Release:      60
Url:          http://oss.sgi.com/projects/xfs/
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.
# ---------------------------------------------------------------------------
%package -n   attr
Summary:      An *experimental* command (attr) to manipulate extended attributes
Autoreqprov:  on
Group:        System Environment/Base
Version:      1.0.3
Release:      60
Url:          http://oss.sgi.com/projects/xfs/
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.
# ---------------------------------------------------------------------------
%package -n   attr-devel
Summary:      attr-devel contains the libraries and header files needed to
Autoreqprov:  on
Group:        Development/Libraries
Version:      1.0.3
Release:      60
Url:          http://oss.sgi.com/projects/xfs/
Copyright:    Copyright (C) 2000 Silicon Graphics, Inc.
# ---------------------------------------------------------------------------
%prep
%setup -c -n %{name} -a 1 -a 2
%patch0
%patch1

%build
export OPTIMIZER="-O -fPIC"
export DEBUG=-DNDEBUG
cd xfsprogs-1.2.8
%{suse_update_config -f}
autoconf
CFLAGS=$RPM_OPT_FLAGS
mkdir -p $RPM_BUILD_ROOT
./configure 
make
cd ../attr-1.0.3
%{suse_update_config -f}
autoconf
CFLAGS=$RPM_OPT_FLAGS 
./configure
make
cd ../acl-1.0.7
%{suse_update_config -f}
autoconf
CFLAGS=$RPM_OPT_FLAGS 
./configure
make

%install
cd xfsprogs-1.2.8
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-dev
cd ../attr-1.0.3
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-dev
cd ../acl-1.0.7
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-dev     

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root)
/usr/sbin/fsck.xfs
/usr/sbin/mkfs.xfs
/usr/sbin/xfs_repair
/usr/bin/xfs_admin.sh
/usr/bin/xfs_bmap
/usr/bin/xfs_check.sh
/usr/bin/xfs_db
/usr/bin/xfs_freeze
/usr/bin/xfs_growfs
/usr/bin/xfs_info.sh
/usr/bin/xfs_logprint
/usr/bin/xfs_mkfile
/usr/bin/xfs_ncheck.sh
/usr/bin/xfs_rtcp
%doc %{_mandir}/man5/xfs.5.gz
%doc %{_mandir}/man8/fsck.xfs.8.gz
%doc %{_mandir}/man8/mkfs.xfs.8.gz
%doc %{_mandir}/man8/xfs_admin.8.gz
%doc %{_mandir}/man8/xfs_bmap.8.gz
%doc %{_mandir}/man8/xfs_check.8.gz
%doc %{_mandir}/man8/xfs_db.8.gz
%doc %{_mandir}/man8/xfs_freeze.8.gz
%doc %{_mandir}/man8/xfs_growfs.8.gz
%doc %{_mandir}/man8/xfs_logprint.8.gz
%doc %{_mandir}/man8/xfs_mkfile.8.gz
%doc %{_mandir}/man8/xfs_ncheck.8.gz
%doc %{_mandir}/man8/xfs_repair.8.gz
%doc %{_mandir}/man8/xfs_rtcp.8.gz
%doc %{_mandir}/man8/xfs_info.8.gz
%doc /usr/share/doc/packages/xfsprogs/xfsprogs
# ---------------------------------------------------------------------------

%files -n %{name}-devel
%defattr(-,root,root)
/usr/include/attr
/usr/include/xfs
/usr/lib/libxfs.a
/usr/lib/libhandle.a
%doc %{_mandir}/man3/attr_list_by_handle.3.gz
%doc %{_mandir}/man3/attr_multi_by_handle.3.gz
%doc %{_mandir}/man3/fd_to_handle.3.gz
%doc %{_mandir}/man3/free_handle.3.gz
%doc %{_mandir}/man3/fssetdm_by_handle.3.gz
%doc %{_mandir}/man3/handle_to_fshandle.3.gz
%doc %{_mandir}/man3/open_by_handle.3.gz
%doc %{_mandir}/man3/path_to_fshandle.3.gz
%doc %{_mandir}/man3/path_to_handle.3.gz
%doc %{_mandir}/man3/readlink_by_handle.3.gz
# ---------------------------------------------------------------------------

%files -n acl-devel
%defattr(-,root,root)
/usr/include/sys/acl.h
/usr/lib/libacl.a
%doc %{_mandir}/man2/acl_get.2.gz
%doc %{_mandir}/man2/acl_set.2.gz
%doc %{_mandir}/man3/acl_copy_ext.3.gz
%doc %{_mandir}/man3/acl_copy_int.3.gz
%doc %{_mandir}/man3/acl_delete_def_file.3.gz
%doc %{_mandir}/man3/acl_dup.3.gz
%doc %{_mandir}/man3/acl_free.3.gz
%doc %{_mandir}/man3/acl_from_text.3.gz
%doc %{_mandir}/man3/acl_get_fd.3.gz
%doc %{_mandir}/man3/acl_get_file.3.gz
%doc %{_mandir}/man3/acl_set_fd.3.gz
%doc %{_mandir}/man3/acl_set_file.3.gz
%doc %{_mandir}/man3/acl_size.3.gz
%doc %{_mandir}/man3/acl_to_short_text.3.gz
%doc %{_mandir}/man3/acl_to_text.3.gz
%doc %{_mandir}/man3/acl_valid.3.gz
%doc %{_mandir}/man3/acl_set_compat.3.gz
# ---------------------------------------------------------------------------

%files -n acl
%defattr(-,root,root)
%doc /usr/share/doc/packages/xfsprogs/acl
/usr/sbin/chacl
%doc %{_mandir}/man1/chacl.1.gz
%doc %{_mandir}/man5/acl.5.gz
# ---------------------------------------------------------------------------

%files -n attr-devel
%defattr(-,root,root)
/usr/lib/libattr.a
/usr/include/attr
%doc %{_mandir}/man2/attrctl.2.gz
%doc %{_mandir}/man3/attr_get.3.gz
%doc %{_mandir}/man3/attr_getf.3.gz
%doc %{_mandir}/man3/attr_list.3.gz
%doc %{_mandir}/man3/attr_listf.3.gz
%doc %{_mandir}/man3/attr_multi.3.gz
%doc %{_mandir}/man3/attr_multif.3.gz
%doc %{_mandir}/man3/attr_remove.3.gz
%doc %{_mandir}/man3/attr_removef.3.gz
%doc %{_mandir}/man3/attr_set.3.gz
%doc %{_mandir}/man3/attr_setf.3.gz
# ---------------------------------------------------------------------------

%files -n attr
%defattr(-,root,root)
/usr/sbin/attr
%doc %{_mandir}/man1/attr.1.gz
%doc /usr/share/doc/packages/xfsprogs/attr
# ---------------------------------------------------------------------------

%description -n %{name}


%description -n %{name}-devel


%description -n acl
A command (chacl) to manipulate POSIX access control lists
under Linux.

Authors:
--------
    SGI

SuSE series: ap


%description -n acl-devel
acl-devel contains the libraries and header files needed to
develop programs which make use of POSIX access control lists.
You should install acl-devel if you want to develop programs
which make use of ACLs.  If you install acl-devel, you'll
also want to install acl.

Authors:
--------
    SGI

SuSE series: ap


%description -n attr
An *experimental* command (attr) to manipulate extended attributes
under Linux.

Authors:
--------
    SGI

SuSE series: ap


%description -n attr-devel
attr-devel contains the libraries and header files needed to
develop programs which make use of extended attributes.
This is an *experimental* interface, currently only XFS is
supported, and the interface may change.
You should install attr-devel if you want to develop programs
which make use of extended attributes.  If you install attr-devel,
you'll also want to install attr.

Authors:
--------
    SGI

SuSE series: ap


%changelog -n xfsprogs
* Tue Aug 21 2001 - adostal@suse.cz
- split xfsprogs to package xfsprogs-1.2.8, package xfsdump-1.0.9
  and package dmapi-0.1.1
- create patches destdir and dirs for xfsprogs version 1.2.8
* Wed Aug 15 2001 - adostal@suse.cz
- update acl to 1.0.7 ver.
- update xfsprogs to 1.2.8 ver.
- update dmapi to 0.1.1 ver.
- using $RPM_BUILD_ROOT
- create makefile and dirs patches
- split sources to acl, attr, dmapi, xfsdump, xfsprogs
* Mon Jul 23 2001 - schwab@suse.de
- Build with -fPIC, for inclusion in shared library.
- Use aclocal.
* Wed Jun 20 2001 - ro@suse.de
- make it build (libtoolize, fix filelist)
* Fri Jun 15 2001 - choeger@suse.de
- did a cvs up today
* Mon May 21 2001 - choeger@suse.de
- first version
